## wpan wpan — IEEE 802.15.4 (WPAN) MAC Settings |

## Properties

Table 83.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    channel
    int32
    -1
| IEEE 802.15.4 channel. A positive integer or -1, meaning "do not set, use whatever the device is already set to".
    mac-address
    string
| If specified, this connection will only apply to the IEEE 802.15.4 (WPAN) MAC layer device whose permanent MAC address matches.
    page
    int32
    -1
| IEEE 802.15.4 channel page. A positive integer or -1, meaning "do not set, use whatever the device is already set to".
    pan-id
    uint32
    65535
| IEEE 802.15.4 Personal Area Network (PAN) identifier.
    short-address
    uint32
    65535
| Short IEEE 802.15.4 address to be used within a restricted environment.